### Name: dissimilarity
### Title: Dissimilarity Computation
### Aliases: dissimilarity dissimilarity,matrix-method
###   dissimilarity,itemMatrix-method dissimilarity,associations-method
### Keywords: cluster models

### ** Examples

data("Adult")

## cluster transactions
## choose a sample 
s <- sample(Adult, 500) 

##  calculate Jaccard distances and do hclust
d_jaccard <- dissimilarity(s)
plot(hclust(d_jaccard))

## calculate affinity-based distances and do hclust
d_affinity <- dissimilarity(s, method = "affinity")
plot(hclust(d_affinity))

## cluster rules
## mine rules
rules <- apriori(Adult)
## choose promising rules
rules <- subset(rules, subset = lift > 2)

## we need to supply the item affinities from the dataset (sample)
d_affinity <- dissimilarity(rules, method = "affinity", 
  args = list(affinity = affinity(s)))
plot(hclust(d_affinity))



